curl
curl -sS -X POST "https://gateway.orbit/api/v1/nodes/7/firewall-rules/deny" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"name": "office-postgres", "source": "10.6.0.0/24", "protocol": "tcp", "port": 3306}'
{
"data": {
"id": 123,
"node_id": 123,
"node": "<string>",
"name": "<string>",
"action": "<string>",
"source": "<string>",
"protocol": "<string>",
"port": "<string>",
"status": "<string>",
"backend_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"node_id": 123,
"node": "<string>",
"name": "<string>",
"action": "<string>",
"source": "<string>",
"protocol": "<string>",
"port": "<string>",
"status": "<string>",
"backend_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Firewall
Deny a firewall rule
Deny one named UFW rule through the gateway.
POST
/
api
/
v1
/
nodes
/
{node}
/
firewall-rules
/
deny
curl
curl -sS -X POST "https://gateway.orbit/api/v1/nodes/7/firewall-rules/deny" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"name": "office-postgres", "source": "10.6.0.0/24", "protocol": "tcp", "port": 3306}'
{
"data": {
"id": 123,
"node_id": 123,
"node": "<string>",
"name": "<string>",
"action": "<string>",
"source": "<string>",
"protocol": "<string>",
"port": "<string>",
"status": "<string>",
"backend_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"node_id": 123,
"node": "<string>",
"name": "<string>",
"action": "<string>",
"source": "<string>",
"protocol": "<string>",
"port": "<string>",
"status": "<string>",
"backend_status": "<string>",
"failed_step": "<string>",
"error_code": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Path Parameters
Numeric Node ID.
Required range:
x >= 1Body
application/json
Stable firewall rule name
Maximum string length:
63Pattern:
^[a-z0-9](?:[a-z0-9._-]*[a-z0-9])?$(?![\s\S])Destination port or ordered range
Maximum string length:
11Maximum string length:
255Optional tcp or udp protocol
Available options:
tcp, udp